import { program as app, Command } from '@/program.ts';
import { getConfig, writeConfig, pidFilePath, checkFileExists } from '@/module/index.ts';
import { createApp } from '@/app.ts';
import fs from 'fs';

const command = new Command('serve')
  .description('serve manager')
  .option('-e, --exit', '退出进程')
  .option('-s, --start', '启动进程')
  .action(async (options) => {
    console.log('options', options);
    if (options.exit) {
      if (checkFileExists(pidFilePath)) {
        console.log('服务已经启动, 准备退出');
        const pid = fs.readFileSync(pidFilePath, 'utf-8');
        // 通知进程退出
        process.kill(Number(pid), 'SIGTERM');
        setTimeout(() => {
          if (checkFileExists(pidFilePath)) {
            // 强制删除 pid 文件
            fs.unlinkSync(pidFilePath);
          }
        }, 2000);
        return;
      }
    }
    if (options.start) {
      const config = getConfig();
      await createApp();
    }
  });

app.addCommand(command);

const start = new Command('start').description('start serve').action(async () => {
  const config = getConfig();
  await createApp();
});

app.addCommand(start);
