import { getConfig } from '../module/get-config.ts';
import { runApp } from '../app-run.ts';

const getConfigList = async () => {
  const res = await runApp({
    path: 'config',
    key: 'getTokenList',
  });
  console.log(res);
};

// getConfigList();

const setConfigList = async () => {
  const config = getConfig();
  const { baseURL, token } = config;
  console.log(baseURL, token);

  const res = await runApp({
    path: 'config',
    key: 'saveToken',
    payload: {
      baseURL: 'abc32',
      token,
    },
  });
  console.log(res);
};
// setConfigList();

const switchToken = async () => {
  const res = await runApp({
    path: 'config',
    key: 'switchToken',
    payload: {
      baseURL: 'abc2',
    },
  });
  console.log(res);
};
// switchToken();

const removeToken = async () => {
  const res = await runApp({
    path: 'config',
    key: 'deleteToken',
    payload: {
      baseURL: 'abc32',
    },
  });
  console.log(res);
};
removeToken();
